Subject: [Roll] A Trust Framework for Low Power and Lossy Networks

From: "Theodore Zahariadis" <[email-masked]>
Date: Thu, 21 May 2009 20:10:50 +0300

Dear all,

As I said in previous emails, a trust framework may be
complementary to the secure routing for LLNs and help
protecting against a number of attacks.

Though the node vs/plus link energy metric discussion is
very interesting, I uploaded an I-D describing some ideas
on such a framework.

Comments are very welcomed and appreciated.

Thanks,
Theodore

----- Original Message ----- 
From: "IETF I-D Submission Tool" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>; 
<[email-masked]>
Sent: Thursday, May 21, 2009 7:42 PM
Subject: New Version Notification for draft-zahariad-roll-trust-framework-00

>
> A new version of I-D, draft-zahariad-roll-trust-framework-00.txt has been 
> successfuly submitted by Theodore Zahariadis and posted to the IETF 
> repository.
>
> Filename: draft-zahariad-roll-trust-framework
> Revision: 00
> Title: A Trust Framework for Low Power and Lossy Networks
> Creation_date: 2009-05-21
> WG ID: Independent Submission
> Number_of_pages: 17
>
> Abstract:
> This document presents a trust framework, which may improve the
> security and reliability of routing over Low Power and Lossy Networks
> (LLN), against an increased set of attacks. The development of the
> framework builds upon previous work on trust and secure routing,
> adapting the trust assessments to the issues and constraints specific
> to LLNs.
>
> The proposed trust management scheme is based on direct and indirect
> interactions with neighboring nodes, to compute their trust value and
> thus select the most trusted path or forwarding node. To reduce the
> overhead of nodes' communication during the indirect trust value
> retrieval procedure, indirect trust information is requested from a
> limited number of neighbors, which respond only when they have highly
> reliable trust information
>
>
>
> The IETF Secretariat.
>
>
>
>